﻿using Hotline.Share.Dtos.Snapshot;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Application.Snapshot;
public interface IIndustryApplication
{
    /// <summary>
    /// 新增行业
    /// </summary>
    /// <returns></returns>
    Task<string> AddIndustryAsync(AddIndustryDto dto, CancellationToken cancellationToken);

    /// <summary>
    /// 获取行业集合
    /// </summary>
    /// <param name="dto"></param>
    /// <returns></returns>
    ISugarQueryable<IndustryItemsOutDto> GetIndustres(IndustryListInDto dto);

    /// <summary>
    /// 获取行业详情
    /// </summary>
    /// <param name="id"></param>
    /// <returns></returns>
    Task<IndustryDetailOutDto> GetIndustryDetailAsync(string id);
}
