﻿
namespace Hotline.Share.Requests
{
    /// <summary>
    /// PageIndex 从 1 开始计数
    /// </summary>
    public record PagedRequest
    {
        public int PageIndex { get; set; } = 1;
        public int PageSize { get; set; } = 10;

        public int Skip() => (PageIndex - 1) * PageSize;
    }
}
